New integration between desktop and extension not functioning

So unless I misunderstood, unlocking one should now unlock the other yes? Furthermore I should be able to use windows hello on the extension now as well?

I have the beta extension and beta desktop app.

I still have to work them independently, it also re-locks on browser restart.


1Password Version: 7.6.800
Extension Version: 1.25.5
OS Version: Windows 10 Pro 20H2
Sync Type: Not Provided

«1

Comments

  • ag_anaag_ana

    Team Member

    Hi @klepp0906!

    Can you try these suggestions from my colleague Yaron and see if they help?

  • I did just go through them all, up to and including a restart. Still not working. I do use chromium but I dont imagine that ought to be an issue.

    should I email the [email protected] address as indicated in that post?

  • Could you please check if desktop app integration is enabled in 1Password in the browser?

  • ag_anaag_ana

    Team Member

    @klepp0906:

    should I email the [email protected] address as indicated in that post?

    Assuming that you actually enabled the integration in the browser, then yes please! After you have sent the email, please feel free to post the ticket number you received so we can locate your message and connect it with this forum discussion.

    Looking forward to your message!

  • I thought it was odd since day 1 I didnt see that option. I figured it would have been present as opposed to default/under the hood.

    I have nothing pertaining to integration in either the browser settings nor the desktop settings.

    Before I look dumb, Id imagine the setting should be present in the desktop app yes? which section?

  • ag_anaag_ana

    Team Member

    @klepp0906:

    The setting in the screenshot posted above is in the settings of the browser extension. Can you confirm you are running the betas?

  • based on the number and the fact i now have dark mode, gonna go with yes. (the windows app doesnt have dark mode but it does have the beta tag, not sure if thats broken or dark mode just didnt get added to the desktop side?)

    Here is the SS of my browser extension settings

  • ag_yaronag_yaron

    Team Member

    Hey @klepp0906 ,
    You mentioned you use Chromium. Does that mean you do not use the standard official Chrome release? Chromium is not signed with a signature that we support, so the desktop app won't be able to establish a connection to it.

  • Here is the SS of my browser extension settings

    There is the setting missing integrating the Windows desktop app, but it looks like you are using 1.25.5.beta... Strange... :(

  • ag_yaronag_yaron

    Team Member

    @DenalB That setting only shows up if the extension is able to establish a connection with the desktop app. If not, the setting to integrate will not show up.

  • Good to know! Thanks, @ag_yaron ! :)

  • @ag_yaron ooof. Thats a big issue. I just updated chromium and got a message that either I missed before, or did not pop up before about not being able to establish connection.

    This is the build I use

    This is odd considering its what all these popular browsers these days are built upon no? I prefer to go as close to barebones as I can. As you can see I use the version that still has all the google services baked in.

    Is support intended or is my only option literally to change the browser ive used for years? :(

    I've been considering a swap to brave but that comes with its own caveats so im hesitant. This is a pretty big problem though as you can imagine :P

  • ag_yaronag_yaron

    Team Member
    edited May 5

    @klepp0906 There's no plan to support Chromium at this point. As far as I know it has something to do with the fact that anyone can build it and modify the code as they see fit, which is a security issue for us, but I'm not sure what the status is now (or will be in the future).

    I personally use Brave, it is my favorite browser and have been using it for a couple of years now. :chuffed:

  • klepp0906klepp0906
    edited May 5

    damn. I really did plan on the change for a plethora of reasons but ive heard that the icloud extension may not work with it which is a pretty major issue for me. I guess now's as good a time as any to start down that whole path.

    Its between brave & vivaldi, do you guys support vivaldi? Also, while im here and have you here (to avoid making another thread lol) is dark support planned for the desktop app? Seeing it in the extension made it all the more desirable :)

  • Its between brave & vivaldi, do you guys support vivaldi?

    Yes, Vivaldi is supported! I'm using Vivaldi since years and don't want to switch. ;)

  • ag_yaronag_yaron

    Team Member
    edited May 5

    @klepp0906 We do support Vivaldi's code signature last I checked, but their beta version contain a different code signature that is not supported, so this might change in an upcoming update of Vivaldi. It has been like that for a while though so I'm not sure what they are up to with that beta.

  • It has been like that for a while though so I'm not sure what they are up to with that beta.

    Hopefully Vivaldi stays supported! :angry:

  • mmm im a big proponent/user of beta's, lots to wade through. Either way, we can call this sorted then. Thanks for all the help and info guys. Looks like I have a decision to make and a job to do :)

  • Looks like I have a decision to make and a job to do :)

    :+1:

  • ag_yaronag_yaron

    Team Member

    Good luck and have fun! :chuffed::+1:

  • mishailmishail
    edited May 5

    What about Microsoft Edge Beta? Is it supported? here is the configuration I'm using and the integration doesn't seem to work.

    • macOS 11.3.1
    • Microsoft Edge 91.0.864.15 (Official build) Beta (x86_64)
    • 1Password Beta – Password Manager 1.25.5 (extension)
    • 1Password 7 7.8.2.BETA-0 (70802000)
  • ag_yaronag_yaron

    Team Member

    Hey @mishail ,

    Edge beta should work, but if it doesn't, please try the steps outlined here: https://support.1password.com/could-not-connect/#what-you-should-do

  • Hi @ag_yaron,

    Could it be possible to get a list of all supported browsers? Maybe you can put this list on your support website? I think this would make it easier to see if a browser is fully supported by 1Password in the browser. ;)

  • ag_yaronag_yaron

    Team Member
    edited May 6

    The browsers that are officially supported are the ones we have icons for: https://support.1password.com/getting-started-browser/
    Their beta/canary versions are also supported with an extra manual step or two.

    Any other browser that works either uses the same code signature as Chrome or is supported but we decided to remove its icon due to ambiguous/non-ethical behavior (such as Opera).

  • DenalBDenalB
    edited May 6

    I think it would be much better to list all supported browsers. They don't need to have an icon. Just a plain list would be enough. I don't know if the code signature from Vivaldi which I use for years now is the same as the code signature from Chrome. Luckily Vivaldi works with the extension. :(

    You know what I mean?

  • ag_yaronag_yaron

    Team Member

    I definitely hear ya @DenalB .

    I'll forward it to the team for consideration but this decision was made consciously as far as I'm aware.
    Will let you know if something changes. :+1:

  • Thanks a lot @ag_yaron ! ;)

  • ag_yaronag_yaron

    Team Member

    No problem.

  • Edge beta should work, but if it doesn't, please try the steps outlined here: https://support.1password.com/could-not-connect/#what-you-should-do

    Thanks, @ag_yaron , I've just tried those instructions, plus ones for Edge Beta, I've even copied com.1password.1password7.json, but still getting this message when my browser starts.

Leave a Comment

BoldItalicStrikethroughOrdered listUnordered list
Emoji
Image
Align leftAlign centerAlign rightToggle HTML viewToggle full pageToggle lights
Drop image/file